| ## RNAstructure Command Line Help design | ### Contents ### Index
design attempts to find a nucleic acid sequence that will fold to a given structure. ### USAGE: design <input file> [-o <output file>] [options] ### Required parameters:
<input file> | A structure (CT or Dot-Bracket) file that indictates the target structure. (The sequence in the file will be ignored.)
### Options that do not require added values:
-d --dna | Specify that the sequence is DNA, and DNA parameters are to be used. (The default is to use RNA parameters.)
-p --preselect | Specify that use pre-selected sequence segments should be used. (The default is that all nucleotides are chosen at random.)
-t --timer | Use a timer to measure the duration of the design process and print the elapsed time to standard output.
-h --help | Display the usage details message.
-v --version | Display version and copyright information for this interface.
### Options that require added values:
-a, -A, --alphabet | Specify the name of a folding alphabet and associated nearest neighbor parameters. The alphabet is the prefix for the thermodynamic parameter files, e.g. "rna" for RNA parameters or "dna" for DNA parameters or a custom extended/modified alphabet. The thermodynamic parameters need to reside in the at the location indicated by environment variable DATAPATH. The default is "rna" (i.e. use RNA parameters). This option overrides the --DNA flag.
-o --output | Specify the output file. By default the resulting designed sequence is written to standard output only. This flag instructs the program to output the structure (in ct format) to the specified file.
-e --error | The maximum allowed ensemble defect per nucleotide.
-s --seed | Specify a random seed. The default is to use a seed based on the current system time. (It is necessary to specify a seed in order to get exactly reproducible results.)
-md --maxdepth | Max-depth: The maximum extent to which the structure will be sub-divided in the binary decomposition. The default is 5.
-ml --maxleaf | The maximum number of times a leaf can be re-optimized at random. The default is 3.
-mm --maxmutate | The maximum number of times a nucleotide will be mutated during defect-weighted reoptimization. The default is 4.
-mr --maxredesign | The maximum number of redesigns per parent node. The default is 10.
### ### References: